clang-tools 8.0.0

Classes | Namespaces
FileDistance.h File Reference
`#include "URI.h"`
`#include "llvm/ADT/DenseMap.h"`
`#include "llvm/ADT/DenseMapInfo.h"`
`#include "llvm/ADT/SmallString.h"`
`#include "llvm/ADT/StringRef.h"`
`#include "llvm/Support/Allocator.h"`
`#include "llvm/Support/Path.h"`
`#include "llvm/Support/StringSaver.h"`
`#include <memory>`
Include dependency graph for FileDistance.h:
This graph shows which files directly or indirectly include this file:

Go to the source code of this file.

## Classes
struct | clang::clangd::FileDistanceOptions
struct | clang::clangd::SourceParams
class | clang::clangd::FileDistance
class | clang::clangd::URIDistance
class | clang::clangd::ScopeDistance
| Support lookups like FileDistance, but the lookup keys are symbol scopes. More...

## Namespaces
| clang
| ===– Representation.cpp - ClangDoc Representation --------—*- C++ -*-===//
| clang::clangd